function [fig] = triplot(scs,nmax)
% Plots a SH coefficient triangle (logarithmic scale)
% IN:   scs  - SH coefficients in cs-format; size [n,n]
%       nmax - max. harmonic degree
% OUT:  fig - figure handle

sc=cs_format(scs(1:nmax+1,1:nmax+1));

fig=figure;
q=imagesc(-nmax:nmax,0:nmax,log10(abs(sc)));
set(q,'alphadata',sc~=0)
xlabel 'SH order'
ylabel 'SH degree'
colormap 'jet'
h=colorbar;
ylabel(h,'log10','fontsize',12)
axis equal
axis tight
set(gca,'fontsize',12)


end

